dpkg-statoverride(8)

NAZWA
dpkg-statoverride - nadpisywanie właściciela i praw plików

SKŁADNIA
dpkg-statoverride [option...] command

OPIS
Nadpisania stanu są sposobem nakazania programowi dpkg(1) użycie innego właściciela i trybu pliku podczas instalacji pakietu. (Uwaga: użyłem tu słowa "plik", ale tak naprawdę może to być dowolny obiekt systemu plików, którym zarządza dpkg, np. katalogi czy urządzenia). Można ich użyć do zmuszenia programów, które są zazwyczaj instalowane z flagą setuid, by były zainstalowane bez tej flagi lubby były możliwe do wykonania tylko przez pewną grupę użytkowników.

dpkg-statoverride jest narzędziem użytkowym do zarządzania listą nadpisań stanu. Ma trzy podstawowe funkcje: dodawania, usuwania i wyświetlania listy takich nadpisań.

POLECENIA

--add użytkownik grupa tryb plik
    Dodaje nadpisanie dla pliku. Sam plik nie musi istnieć w czasie wykonania tego polecenia, nadpisanie będzie przechowane i użyte później. Użytkowników i grupy można podawać używając albo ich nazw (na przykład root lub nobody), albo ich numeru poprzedzonego znakiem "#" (na przykład #0 lub #65534). Natomiast tryb musi być podany jako liczba ósemkowa. Jeżeli podano opcję --update i plik istnieje, to nowy właściciel i prawa zostaną od razu ustawione.

--remove plik
    Usuwa nadpisanie pliku. Polecenie to nie zmienia stanu pliku.

--list [wzorzec-glob]
    Wyświetla wszystkie napisania. Jeżeli podano wzorzec nazwy, to wyjściowa lista będzie zawierać tylko nadpisania pasujące do tego wzorca. Jeżeli nie ma żadnych nadpisań lub żadne nadpisanie nie pasuje do wzorca, to dpkg-statoverride zakończy działanie z kodem błędu 1.

--help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--admindir katalog
    Zmienia katalog bazy danych dpkg, w którym także jest przechowywany plik statoverride. Domyślnie jest to /var/lib/dpkg.

--force
    Wymusza podaną akcję, nawet jeżeli sprawdzenia dokonywane przez program by tego zabroniły. Jest to potrzebne, aby nadpisać istniejące nadpisanie.

--update
    Od razy próbuje zmienić właściciela i prawa pliku, jeżeli ten plik istnieje.

--quiet
    Wyświetla mniej komunikatów o podejmowanych przez program akcjach.

ŚRODOWISKO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

PLIKI

/var/lib/dpkg/statoverride
    Plik zawierający obecną listę nadpisań stanu w systemie. Zlokalizowany jest w katalogu administracyjnym dpkg, łącznie z innymi plikami ważnymi dla dpkg, takimi jak "status" lub "available".
    Uwaga: przed zastąpieniem pliku nową wersją, dpkg-statoverride zachowuje starą kopię w pliku z rozszerzeniem "-old".

ZOBACZ TAKŻE
dpkg(1).

AUTOR
Copyright © 2000 Wichert Akkerman

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008